Get a tradeline
curl --request GET \
--url https://vvdufluovypptsnkihyv.supabase.co/functions/v1/tradelines/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://vvdufluovypptsnkihyv.supabase.co/functions/v1/tradelines/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://vvdufluovypptsnkihyv.supabase.co/functions/v1/tradelines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_type": "rent",
"payment_type_label": "<string>",
"external_account_id": "<string>",
"account_opened_date": "2023-12-25",
"account_closed_date": "2023-12-25",
"payment_amount": 123,
"payment_frequency": "<string>",
"credit_limit": 123,
"highest_balance": 123,
"original_loan_amount": 123,
"account_status": "current",
"current_balance": 123,
"amount_past_due": 123,
"ecoa_code": "<string>",
"metro2_account_type": "<string>",
"payment_history": "<string>",
"date_of_first_delinquency": "2023-12-25",
"report_to_bureaus": [
"<string>"
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Missing x-api-key header",
"request_id": "4e9024e3-125d-4d08-a392-4fa34f6bda44"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Consumer not found",
"request_id": "4e9024e3-125d-4d08-a392-4fa34f6bda44"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred",
"request_id": "4e9024e3-125d-4d08-a392-4fa34f6bda44"
}
}Tradelines
Get Tradeline
Returns a single tradeline by ID. Returns 404 if the tradeline does not exist or belongs to a different partner.
GET
/
tradelines
/
{id}
Get a tradeline
Authorizations
API key in the format sk_live_<token> (production) or sk_test_<token> (sandbox).
Contact Cove to obtain your API key.
Path Parameters
Resource UUID
Response
Tradeline details
Type of recurring payment being reported
Available options:
rent, child_support, alimony, utility, medical, insurance, subscription, bill_pay, loan, education, dependent_care, shared_expenses, custom In cents
In cents
In cents
In cents
Current status of the tradeline account (auto-computed from payment reports)
Available options:
current, late_30, late_60, late_90, late_120, late_150, late_180_plus, paid_in_full, closed, transferred, account_in_dispute In cents
In cents
24-char Metro 2 payment history (newest first). 0=current, 1=30d, 2=60d, 3=90d, 4=120d, 5=150d, 6=180d+
Set on first non-current payment